const Template = require('../lib')
const path = require('path')
const { mjml2html } = require('mjml')

var template = new Template({
  markdown: path.join(__dirname, './test.md'),
  //markdown: 'https://raw.githubusercontent.com/focuswish/airtable-node/master/README.md',
  mjml: path.join(__dirname, './test.mjml'),
  tags: { user: 'Ben' },
  //data: {},
  stylesheet: path.join(__dirname, './styles.css')
})

template.loadPartials().promise
  .then(partials => template.parse(partials))
  .then(partials => console.log(partials))

  //.then(resp => template.injectStyles(resp).promise)
  //.then(content => template.save(content))
  //.then(content => mjml2html(content))
  //.then(content => console.log(content))