var css = require('css');

function match() {
  var rules = css.parse('.paragraph { font-size: 12px; }').stylesheet.rules
  var style = rules.find(rule => rule.selectors.indexOf('.paragraph') > -1)
  return style
}

function spread() {
  return style.declarations.map(declaration => {
    return `${declaration.property}="${declaration.value}"`  
  })
}

console.log(spread())



